Subject: Re: [PATCH] bootgraph: fix for use with dot symbols

From: Anton Blanchard <[email-masked]>
Date: Wed, 28 Jan 2009 21:56:01 +1100

Hi Arjan,

> question for the ppc folks.... why does the "print symbol" magic format string
> thing print a dot symbol and not the real function name?
> Should that be fixed instead?

We have two symbols for each function, foo points to the function
descriptor, and .foo points to the instruction text. If we were to strip
the '.' when we print symbols then it would become harder to diagnose
some failures (eg branching to the function descriptor instead of the
instruction text).

Anton